Subject: [SWIPL] About Applying a predicate to all the elements of a list

From: Rastei Amelia Viorela <[email-masked]>
Date: Thu, 14 Dec 2000 13:05:54 +0200 (EET)

On Thu, 14 Dec 2000, Rastei Amelia Viorela wrote:

> 
> 
>    Consider I have a predicate
> 
>     replace(El,Poz, List, Rez)
>  which replaces the element from the position Poz in List with El and the
> resulting list 
> is Rez.
> 
>   Consider than that List=[[1,2,3],[3,4,5,6],...] so a list of lists. And
> I want to aplly predicate Replace to all the lists in List.
> 
>    How can I do that???
>    How should I write : maplist(replace..?.,List,Rez)  ?
> 
> 
> 
> 
> 

-- 

 Amelia Rastei,
 Dept. Computer Science,
 Babes Bolyai University,
 Cluj Napoca, Romania.